module Model.ServerExceptions where

import Control.Exception


data QueryException = SyntaxException | 
                      ParseFragmentException | 
                      EmptyQueryException | 
                      InvalidObjectException | 
                      InvalidObjectSubFieldException |
                      InvalidScalarException |
                      NullArgumentException |
                      CreatingSqlQueryObjectFieldsException |
                      EOFDataProcessingException |
                      InvalidArgumentException |
                      RelationshipConfigurationException
  deriving Show
                      -- InvalidObjectNestedObjectFieldException | 
                      -- InvalidObjectScalarFieldException | 
                      -- InvalidAttributeTransformation |
                      -- CreatingSqlQueryObjectsException |
                      -- TooManyTablesException |
                      -- EmptyRowException |
                      -- Foundlinebreakexception |

instance Exception QueryException